/*
 * @Author: wrh
 * @Date: 2024-04-29 13:55:26
 * @LastEditors: wrh
 * @LastEditTime: 2024-04-29 15:19:50
 */
import request from '@/utils/request'

// 查询cmc结算汇总列表
export function listSettleSummary(query) {
  return request({
    url: '/oa/settleSummary/list',
    method: 'get',
    params: query
  })
}

// 查询cmc结算汇总详细
export function getSettleSummary(settleId) {
  return request({
    url: '/oa/settleSummary/' + settleId,
    method: 'get'
  })
}

// 新增cmc结算汇总
export function addSettleSummary(data) {
  return request({
    url: '/oa/settleSummary',
    method: 'post',
    data: data
  })
}

// 修改cmc结算汇总
export function updateSettleSummary(data) {
  return request({
    url: '/oa/settleSummary',
    method: 'put',
    data: data
  })
}

// 删除cmc结算汇总
export function delSettleSummary(settleId) {
  return request({
    url: '/oa/settleSummary/' + settleId,
    method: 'delete'
  })
}
